API reference
GET /api/v1/assets
List delivered assets and their cache state.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
limit | integer | no | Maximum number of items to return. |
Response
Content-Type application/json. Cache-Control public, max-age=60.
{
"object": "list",
"data": [
{
"id": "ast_94ybczss97ty7w",
"created_at": "2023-11-13T23:45:30Z",
"path": "/assets/qkpmj84c",
"bytes": 2389961,
"cache_status": "HIT"
},
{
"id": "ast_qkys1h2rmihc3z",
"created_at": "2023-11-22T03:21:51Z",
"path": "/build/6dv0no59",
"bytes": 1565057,
"cache_status": "REVALIDATED"
},
{
"id": "ast_6mob9lb2zfdl8i",
"created_at": "2023-11-15T12:25:47Z",
"path": "/dist/fykep073",
"bytes": 2038104,
"cache_status": "REVALIDATED"
},
{
"id": "ast_xlr5go7fmdj4tk",
"created_at": "2024-01-03T16:35:06Z",
"path": "/dist/assets/18d75lqk",
"bytes": 1662510,
...Example
curl -s https://api-mlc.brightquill.org/api/v1/assets